package types

type PEtiquetado uint8

const (
	Ata12 PEtiquetado = iota + 1
	Ata345
)

type Robot uint8

const (
	Robot12 Robot = iota + 1
	Robot345
)

type NroPaqueteActualReq struct {
	PEtiquetado PEtiquetado
	TimeStamp   string
}

type NroPaqueteActualRes struct {
	NroMatricula string
	TimeStamp    string
}

type NroPaqueteSiguienteReq struct {
	PEtiquetado PEtiquetado
	TimeStamp   string
}

type NroPaqueteSiguienteRes struct {
	NroMatricula string
	TimeStamp    string
}

type PaquetesReq struct {
	Inicio    string
	Final     string
	TimeStamp string
}

type PaquetesRes struct {
	Paquetes  []Paquete
	TimeStamp string
}

type PaqueteReq struct {
	Codigo    string
	TimeStamp string
}

type PaqueteRes struct {
	Paquete   *Paquete
	TimeStamp string
}

type EtiquetaReq struct {
	Codigo    string
	TimeStamp string
}

type EtiquetaRes struct {
	Etiqueta  *Label
	TimeStamp string
}

type EtiquetasReq struct {
	TimeStamp string
}

type EtiquetasRes struct {
	Etiquetas []Label
	TimeStamp string
}

type SalvarEtiquetaReq struct {
	Etiqueta  *Label
	TimeStamp string
}

type SalvarEtiquetaRes struct {
	Respuesta string
	TimeStamp string
}

type NormasReq struct {
	Codigo    string
	TimeStamp string
}

type NormasRes struct {
	Normas    *Normas
	TimeStamp string
}

type ImprimirPaqueteReq struct {
	ImpresoraID   string
	Robot         Robot
	DatosEtiqueta *DatosEtiqueta
	TimeStamp     string
}

type ImprimirPaqueteRes struct {
	Respuesta string
	TimeStamp string
}

type OrdenProduccionReq struct {
	PoID      int
	TimeStamp string
}

type OrdenProduccionRes struct {
	OrdenProduccion *ProductionOrder
	TimeStamp       string
}

type OrdenClienteReq struct {
	CoID      int
	TimeStamp string
}

type OrdenClienteRes struct {
	OrdenCliente *CustomerOrder
	TimeStamp    string
}

type OrdenesClienteReq struct {
	PoID      int
	TimeStamp string
}

type OrdenesClienteRes struct {
	OrdenesCliente []CustomerOrder
	TimeStamp      string
}

type DatosEtiqueta struct {
	CoID         int
	Peso         float64
	PesoTeorico  float64
	DesvioPeso   float64
	Turno        string
	Operador     string
	Colada       string
	NrBarras     string
	NrEtiquetas  string
	NroMatricula string
}

type OrdenesProduccionReq struct {
	Limit     int
	TimeStamp string
}

type OrdenesProduccionRes struct {
	OrdenesProduccion []ProductionOrder
	TimeStamp         string
}

type ImpresoraReq struct {
	ID        string
	TimeStamp string
}

type ImpresoraRes struct {
	Impresora *Zebra
	TimeStamp string
}

type ImpresorasReq struct {
	TimeStamp string
}

type ImpresorasRes struct {
	Impresoras []Zebra
	TimeStamp  string
}

type SalvarImpresoraReq struct {
	Impresora *Zebra
	TimeStamp string
}

type SalvarImpresoraRes struct {
	Message   string
	TimeStamp string
}
