package types

import (
	"time"

	"gorm.io/gorm"
)

type Normas struct {
	Codigo          string `json:"codigo" gorm:"primarykey"`
	Calidad         string `json:"calidad"`
	CodProducto     string `json:"cod_producto,omitempty"`
	CodMedida       string `json:"cod_medida,omitempty"`
	CodTolerancia   string `json:"cod_tolerancia,omitempty"`
	NormaProducto   string `json:"norma_producto,omitempty"`
	NormaMedida     string `json:"norma_medida,omitempty"`
	NormaTolerancia string `json:"norma_tolerancia,omitempty"`
	CreatedAt       time.Time
	UpdatedAt       time.Time
	DeletedAt       gorm.DeletedAt `gorm:"index"`
}

type NormaList struct {
	Lista []Normas `json:"Etiqueta"`
}

func (n *Normas) BeforeCreate(tx *gorm.DB) (err error) {
	n.CreatedAt = time.Now()
	n.UpdatedAt = time.Now()
	return
}

func (n *Normas) BeforeUpdate(tx *gorm.DB) (err error) {
	n.UpdatedAt = time.Now()
	return
}
